System.Runtime.Remoting [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object

The class provides methods that allow you to generate Web Services Description Language (WSDL) from type information, convert an XML Schema into a code stream, and compile the code stream into an assembly. This functionality is also present in the [<topic://cpgrfsoapsudsutilitysoapsudsexe>].

Provides methods that allow you to work with XML schema.

- Constructor
  To be added

  Creates an instance of .

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` `` ``

  For additional information on strong names, see Strong-Named Assemblies.

  If a file with the specified name already exists, it is overwritten.

  Compiles a specified code source file into a runtime assembly file.

  The path to the file that contains the source code. The location where the new run-time assembly is generated. The strong name to compile into the new assembly. Can be . 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` ``

  For additional information on strong names, see Strong-Named Assemblies.

  If a file with the specified name already exists, it is overwritten.

  Compiles specified code source streams into a run-time assembly file.

  A of streams with the source code. The location where the new run-time assembly is generated. The strong name to compile into the new run-time assembly. Can be . 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` ``

  If files with the specified names already exist, they are overwritten.

  Converts the specified schema definition into C# proxy source code.

  Indicates the type of proxy to generate. If true, generates a simple proxy (also known as wrapped proxy) that automatically loads the channels, exposes all the methods of the remote object, and provides access to the channel properties. If false, generates a transparent proxy that exposes all the methods of the remote object. The directory where the new C# source code files with the proxy are created. The input stream that contains the schema definition in Web Services Description Language (WSDL) format. The list of file names for the code streams that are generated. Note that the method can create multiple source code streams. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` ``

  If files with the specified names already exist, they are overwritten.

  Converts the specified schema definition into C# proxy source code for a remote object that is located at the specified URL.

  Indicates the type of proxy to generate. If true, generates a simple proxy (also known as wrapped proxy) that automatically loads the channels, exposes all the methods of the remote object, and provides access to the channel properties. If false, generates a transparent proxy that exposes all the methods of the remote object. The directory where the new C# source code files with the proxy are created. The input stream that contains the schema definition in Web Services Description Language (WSDL) format. The list of file names for the code streams that are generated. Note that the method can create multiple source code streams. The URL where the target remote object that is represented by the new proxy will be located. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` ``

  If files with the specified names already exist, they are overwritten.

  Converts the specified schema definition into C# proxy source code for a remote object that is located at the specified URL and in the provided class namespace.

  Indicates the type of proxy to generate. If true, generates a simple proxy (also known as wrapped proxy) that automatically loads the channels, exposes all the methods of the remote object, and provides access to the channel properties. If false, generates a transparent proxy that exposes all the methods of the remote object. The directory where the new C# source code files with the proxy are created. The input stream containing the schema definition in Web Services Description Language (WSDL) format. The list of file names for the code streams that are generated. Note that the method can create multiple source code streams. The URL where the target remote object that is represented by the new proxy will be located. The namespace of the newly created proxy. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` To be added. To be added.

  A instance allows you to associate a URL with an object .

  If a file with the specified name already exists, it is overwritten.

  Converts the specified service types to XML schema, and writes it to a file that is specified by name.

  The path of the XML file. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` To be added.

  If a file with the specified name already exists, it is overwritten.

  Converts the specified object types to XML schema, and writes it to a file that is specified by name.

  The object types to convert to XML schema. The path of the XML file. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` To be added. To be added. To be added. To be added: an object of type 'IO.Stream'

  A instance allows you to associate a URL with an object .

  Converts the specified service types to XML schema, and writes it to a specified stream.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` `` `` To be added. To be added. To be added

  Converts the specified object types to XML schema, and writes it to a specified stream.

  The object types to convert to XML schema. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  If a file with the specified name already exists, it is overwritten.

  Downloads the XML schema from a URL, and writes it to the specified file.

  The URL where the XML schema is located. The path of the file that the schema is written to. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Downloads the XML schema from a URL, and writes it to the specified stream.

  The URL where the XML schema is located. The that the schema is written to. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  If a file with the specified name already exists, it is overwritten.

  Saves the input stream to a file with the specified name.

  The stream to write to the specified file. The file that the input stream is written to. 1.0.5000.0 2.0.0.0